NumberFormatter::parseCurrency
NumberFormatter::setAttribute
NumberFormatter
PHP Manual

# NumberFormatter::parse

# numfmt_parse

Parse a number

### Description

Object oriented style

public mixed NumberFormatter::parse ( string `$value` [, int `$type` [, int `&$position` ]] )

Procedural style

mixed numfmt_parse ( NumberFormatter `$fmt` , string `$value` [, int `$type` [, int `&$position` ]] )

Parse a string into a number using the current formatter rules.

### Parameters

`fmt`

  NumberFormatter object.

`type`

  The formatting type to use. By default, `NumberFormatter::TYPE_DOUBLE` is used.

`position`

  Offset in the string at which to begin parsing. On return, this value will hold the offset at which parsing ended.

### Return Values

The value of the parsed number or `FALSE` on error.

### Examples

Example #1 numfmt_parse example

`<?php
$fmt = numfmt_create( 'de_DE', NumberFormatter::DECIMAL );
$num = "1.234.567,891";
echo numfmt_parse($fmt, $num)."\n";
echo numfmt_parse($fmt, $num, NumberFormatter::TYPE_INT32)."\n";
?>`

Example #2 OO example

`<?php
$fmt = new NumberFormatter( 'de_DE', NumberFormatter::DECIMAL );
$num = "1.234.567,891";
echo $fmt->parse($num)."\n";
echo $fmt->parse($num, NumberFormatter::TYPE_INT32)."\n";
?>`

The above example will output:

    1234567.891
    1234567

### See Also

- numfmt_get_error_code
- numfmt_format
- numfmt_parse_currency